Vulnerability Details

Multiple vulnerabilities in Foxit Reader 8.3.1 (Linux)

Published: 2017-12-21 10:24:25
CVE Author: NIST National Vulnerability Database

CVSS Base Vector:
AV:N/AC:M/Au:N/C:P/I:P/A:P

Detection Type:
Executable

Solution Type:
Vendor Patch

Summary:
Foxit Reader 8.3.1 is vulnerable to multiple code execution and information disclosure vulnerabilities.

Detection Method:
The script checks if a vulnerable version is present on the target host.

Technical Details:
Foxit Reader 8.3.1 allows information disclosure through improper validation of user input. It also allows code execution via both improper object validation and improper user input validation that leads to a type confusion condition.

Impact:
Successful exploitation would allow an attacker to access sensitive information or execute code on the target host.

Affected Versions:
Foxit Reader 8.3.1 and before on Linux.

Recommendations:
Update to Foxit Reader 9.0 or above.

NIST (National Institute of Standards and Technology) NVD (National Vulnerability Database)

https://nvd.nist.gov/vuln/detail/CVE-2017-10956
https://nvd.nist.gov/vuln/detail/CVE-2017-10957
https://nvd.nist.gov/vuln/detail/CVE-2017-10958
https://nvd.nist.gov/vuln/detail/CVE-2017-10959
https://nvd.nist.gov/vuln/detail/CVE-2017-14818
https://nvd.nist.gov/vuln/detail/CVE-2017-14819
https://nvd.nist.gov/vuln/detail/CVE-2017-14820
https://nvd.nist.gov/vuln/detail/CVE-2017-14821
https://nvd.nist.gov/vuln/detail/CVE-2017-14822
https://nvd.nist.gov/vuln/detail/CVE-2017-14823
https://nvd.nist.gov/vuln/detail/CVE-2017-14824
https://nvd.nist.gov/vuln/detail/CVE-2017-14825
https://nvd.nist.gov/vuln/detail/CVE-2017-14826
https://nvd.nist.gov/vuln/detail/CVE-2017-14827
https://nvd.nist.gov/vuln/detail/CVE-2017-14828
https://nvd.nist.gov/vuln/detail/CVE-2017-14829
https://nvd.nist.gov/vuln/detail/CVE-2017-14830
https://nvd.nist.gov/vuln/detail/CVE-2017-14831
https://nvd.nist.gov/vuln/detail/CVE-2017-14832
https://nvd.nist.gov/vuln/detail/CVE-2017-14833
https://nvd.nist.gov/vuln/detail/CVE-2017-14834
https://nvd.nist.gov/vuln/detail/CVE-2017-14835
https://nvd.nist.gov/vuln/detail/CVE-2017-14836
https://nvd.nist.gov/vuln/detail/CVE-2017-14837
https://nvd.nist.gov/vuln/detail/CVE-2017-16571
https://nvd.nist.gov/vuln/detail/CVE-2017-16572
https://nvd.nist.gov/vuln/detail/CVE-2017-16573
https://nvd.nist.gov/vuln/detail/CVE-2017-16574
https://nvd.nist.gov/vuln/detail/CVE-2017-16575
https://nvd.nist.gov/vuln/detail/CVE-2017-16576
https://nvd.nist.gov/vuln/detail/CVE-2017-16577
https://nvd.nist.gov/vuln/detail/CVE-2017-16588
https://nvd.nist.gov/vuln/detail/CVE-2017-16589

References:

https://www.foxitsoftware.com/support/security-bulletins.php
https://www.foxitsoftware.com/pdf-reader/version-history.php

Severity
Medium
CVSS Score
6.8
Published
2017-12-21
Modified
2019-05-17
Category
General

Free Vulnerability Scanning, Assessment and Management

Mageni's Platform is packed with all the features you need to scan, assess and manage vulnerabilities like this - it is free, open source, lightning fast, reliable and scalable.

Router
Servers
Laptop
Database
Group
Cloud

Frequently Asked Questions

No, you can scan concurrently as many assets as you want. Please note that you must be aware of the hardware requeriments of the platform to ensure a good performance.

No, you can add as many assest as you want. It doesn't matters if you have millions of assets, we won't charge you for that.

No. The software is completely free. We have no intention to charge you to use the software, in fact - it completely goes against our beliefs and business model.

A vulnerability is defined in the ISO 27002 standard as “A weakness of an asset or group of assets that can be exploited by one or more threats” (International Organization for Standardization, 2005)

We generate revenue by providing support and other services for customers that require a subscription so they get guaranteed support and enterprise services. To use Mageni's Platform is completely free, with no limits at all.

Yes. Mageni understands that there are professionals and businesses that need commercial support so Mageni provides an active support subscription with everything needed to run Mageni's Platform reliably and securely. More than software, it's access to security experts, knowledge resources, security updates, and support tools you can't get anywhere else. The subscription includes:

  • Ongoing delivery
    • Patches
    • Bug fixes
    • Updates
    • Upgrades
  • Technical support
    • 24/7 availability
    • Unlimited Incidents
    • Specialty-based routing
    • Multi-Channel
  • Commitments
    • Software certifications
    • Software assurance
    • SLA

No, we don't store the information of your vulnerabilities in our servers.

Vulnerability management is the process in which vulnerabilities in IT are identified and the risks of these vulnerabilities are evaluated. This evaluation leads to correcting the vulnerabilities and removing the risk or a formal risk acceptance by the management of an organization. The term vulnerability management is often confused with vulnerability scanning. Despite the fact both are related, there is an important difference between the two. Vulnerability scanning consists of using a computer program to identify vulnerabilities in networks, computer infrastructure or applications. Vulnerability management is the process surrounding vulnerability scanning, also taking into account other aspects such as risk acceptance, remediation etc. Source: "Implementing a Vulnerability Management Process". SANS Institute.

I am ready to start scanning for vulnerabilities